# xload

load a saved graphics

## Calling Sequence

    xload(file_name,[win_num])

## Arguments

file_name

  string, name of the file.

win_num

  integer, the graphics window number. If not given, the current graphics window is used.

## Description

`xload` reloads the graphics contained in the file `file_name` in the graphics window `win_num`.

Since Scilab 5.0, all uimenu or uicontrol handles are also loaded.

For files containing graphics, the `load` function can be used instead of `xload`. `xload` does not restore the window number, the window size nor the window dimensions.

## Examples

    t=0:0.01:10;
    subplot(211),plot2d(t,sin(t))
    subplot(212),plot2d(t,sin(3*t))
    xsave(TMPDIR + "/foo.scg", gcf())
    clf()
    xload(TMPDIR + "/foo.scg")

    a=gca();
    curve=a.children.children; //handle on the curve
    save(TMPDIR + "/foo.scg", "curve")
    delete(curve)
    load(TMPDIR + "/foo.scg")

## See Also

- xsave
- load
- save